import type { FasedAgentConfig } from "../../config/config.js";
import type { AnyAgentTool } from "./common.js";
export declare function createMemorySearchTool(options: {
    config?: FasedAgentConfig;
    agentSessionKey?: string;
}): AnyAgentTool | null;
export declare function createMemoryGetTool(options: {
    config?: FasedAgentConfig;
    agentSessionKey?: string;
}): AnyAgentTool | null;
